package com.ruoyi.bst.ad.service.impl;

import com.ruoyi.bst.ad.domain.Ad;
import com.ruoyi.bst.ad.domain.AdQuery;
import com.ruoyi.bst.ad.enums.AdBlong;
import com.ruoyi.bst.ad.service.AdConverter;
import com.ruoyi.bst.area.domain.Area;
import com.ruoyi.common.utils.SecurityUtils;
import org.springframework.stereotype.Service;



@Service
public class AdConverterImpl implements AdConverter {
    @Override
    public AdQuery toAdQueryByCreate(Ad ad) {
        AdQuery query = new AdQuery();
        query.setAreaId(ad.getAreaId());
        query.setBelong(ad.getBelong());
        return query;
    }

    @Override
    public AdQuery toAdAdminVO() {
        AdQuery query = new AdQuery();
        query.setBelong(AdBlong.ADMIN.getCode());
        return query;
    }

    @Override
    public AdQuery toAdStoreVO() {
        AdQuery query = new AdQuery();
        query.setUserId(SecurityUtils.getUserId());
        query.setBelong(AdBlong.STORE.getCode());
        return query;
    }

    @Override
    public Ad toPoByCreate(Ad data) {
        if (data == null) {
            return null;
        }
        Ad po = new Ad();
        // 基础信息
        po.setAreaId(data.getAreaId());
        po.setType(data.getType());
        po.setPicture(data.getPicture());
        po.setBelong(data.getBelong());
        po.setUrl(data.getUrl());
        po.setUrlType(data.getUrlType());
        return po;
    }

}
